> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Create the Apple terms onboarding link for Tap to Pay



## OpenAPI

````yaml /openapi.json post /v1/in-person/tap-to-pay/apple-onboarding-link
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/in-person/tap-to-pay/apple-onboarding-link:
    post:
      tags:
        - In-person Payments
      summary: Create the Apple terms onboarding link for Tap to Pay
      operationId: createTapToPayAppleOnboardingLink
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - merchant_display_name
              properties:
                merchant_display_name:
                  type: string
                  minLength: 1
                  maxLength: 120
      responses:
        '200':
          description: Short-lived Apple terms redirect.
components:
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````